#ifndef REGISTERDIALOG_H
#define REGISTERDIALOG_H

#include <QDialog>

namespace Ui {
    class RegisterDialog;
}

class RegisterDialog : public QDialog {
    Q_OBJECT
public:
    RegisterDialog(QWidget *parent = 0);
    ~RegisterDialog();
    QString connectionName();
    void setConnectionName(const QString connectionName);
    QString serverType();
    void setServerType(const QString serverType);
    QString serverName();
    void setServerName(const QString serverName);
    int serverPort();
    void setServerPort(const int port);
    QString database();
    void setDatabase(const QString database);
    QString username();
    void setUsername(const QString username);
    QString password();
    void setPassword(const QString password);

protected:
    void changeEvent(QEvent *e);

private slots:

    void on_TypeComboBox_currentIndexChanged(int index);

private:
    Ui::RegisterDialog *ui;
};

#endif // REGISTERDIALOG_H
