#ifndef SQLFORM_H
#define SQLFORM_H

#include <QDialog>
#include <QComboBox>
#include <QSqlDatabase>
#include <QSqlQueryModel>
#include <Qsci/qsciscintilla.h>

namespace Ui {
    class SqlForm;
}

class SqlForm : public QDialog {
    Q_OBJECT
public:
    SqlForm(QWidget *parent = 0);
    ~SqlForm();
    void reloadConnections();

protected:
    void changeEvent(QEvent *e);

private slots:
    void on_RunQueryAction_triggered();

private:
    Ui::SqlForm *ui;
    QSqlDatabase m_Database;
    QSqlQueryModel *m_QueryModel;
    QComboBox *m_ConnectionComboBox;
};

#endif // SQLFORM_H
